Organization

Organization

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Organization service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.2CURRENT-
1.1DEPRECATED20260531
1.0DEPRECATED20251231

OpenAPI URL

https://organization.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.2

Organization has been updated to version 1.2.

Changes

  • [New] DELETE /organization/1.2/organization-accounts/{account_id} - Delete organization account

1.1

Organization has been updated to version 1.1.

Changes

  • [Changed] GET /organization/1.1/organization-units - List organization units API has been changed.
    • Response schema: OrganizationUnitListResponseOrganizationUnitListResponseV1dot1
      • Field ‘organization_units’ items type changed: CombinedUnit → CombinedUnitV1dot1
      • Fields added: parent_unit_name (string)

1.0

Organization has been updated to version 1.0.

Changes

  • [New] GET /organization/1.0/account-invitations - ListAccountInvitations
  • [New] GET /organization/1.0/assignments/policies - ListPoliciesForTarget
  • [New] DELETE /organization/1.0/assignments/policy-bindings - RemovePolicyBindings
  • [New] POST /organization/1.0/assignments/policy-bindings - AttachPolicyBindings
  • [New] GET /organization/1.0/assignments/targets - ListTargetsForPolicy
  • [New] DELETE /organization/1.0/delegation-policies - DeleteDelegationPolicy
  • [New] GET /organization/1.0/delegation-policies - ShowDelegationPolicy
  • [New] POST /organization/1.0/delegation-policies - CreateDelegationPolicy
  • [New] PUT /organization/1.0/delegation-policies - SetDelegationPolicy
  • [New] POST /organization/1.0/invitations - CreateInvitation
  • [New] PUT /organization/1.0/invitations/cancel - CancelInvitations
  • [New] PUT /organization/1.0/invitations/{invitation_id}/accept - AcceptInvitation
  • [New] PUT /organization/1.0/invitations/{invitation_id}/decline - DeclineInvitation
  • [New] DELETE /organization/1.0/organization-accounts - RemoveAccounts
  • [New] GET /organization/1.0/organization-accounts - ListAccounts
  • [New] POST /organization/1.0/organization-accounts - CreateAccount
  • [New] PUT /organization/1.0/organization-accounts/parent - MoveAccount
  • [New] GET /organization/1.0/organization-accounts/{account_id} - ShowAccount
  • [New] GET /organization/1.0/organization-invitations - ListOrganizationInvitations
  • [New] DELETE /organization/1.0/organization-units - DeleteOrganizationUnits
  • [New] GET /organization/1.0/organization-units - ListOrganizationUnits
  • [New] POST /organization/1.0/organization-units - CreateOrganizationUnit
  • [New] GET /organization/1.0/organization-units/{unit_id} - ShowOrganizationUnit
  • [New] PUT /organization/1.0/organization-units/{unit_id} - SetOrganizationUnit
  • [New] GET /organization/1.0/organization-units/{unit_id}/parents - ListParents
  • [New] GET /organization/1.0/organizations - ListOrganizations
  • [New] POST /organization/1.0/organizations - CreateOrganization
  • [New] DELETE /organization/1.0/organizations/{organization_id} - DeleteOrganization
  • [New] GET /organization/1.0/organizations/{organization_id} - ShowOrganization
  • [New] PUT /organization/1.0/organizations/{organization_id} - SetOrganization
  • [New] DELETE /organization/1.0/organizations/{organization_id}/membership - LeaveOrganization
  • [New] DELETE /organization/1.0/service-control-policies - DeleteServiceControlPolicies
  • [New] GET /organization/1.0/service-control-policies - ListServiceControlPolicies
  • [New] POST /organization/1.0/service-control-policies - CreateServiceControlPolicy
  • [New] GET /organization/1.0/service-control-policies/{policy_id} - ShowServiceControlPolicy
  • [New] PUT /organization/1.0/service-control-policies/{policy_id} - SetServiceControlPolicy